What's new
Apple iPad Forum

Welcome to the Apple iPad Forum, your one stop source for all things iPad. Register a free account today to become a member! Once signed in, you'll be able to participate on this site by adding your own topics and posts, as well as connect with other members through your own private inbox!

Can't upgrade a jailbreaked ipad

DDuce

iPF Noob
Joined
May 6, 2011
Messages
23
Reaction score
0
f4780y said:
Sorry, you are wrong. You are assuming those IP addresses are Apple. They are NOT. They are cydia's signature server, localhost (for TinyUmbrella TSS Server), and an alternative cydia address respectively.

The point of the hosts file is (amongst other things) to point a website somewhere OTHER than it should be. If you want to point to Apple you should have nothing in there for gs.apple.com, or at least have everything commented out, which he does.
You use the hosts file to OVERRIDE the destination of a hostname, not to set it to it's legitimate home. That is what DNS servers are for.

Trust me, his hosts file is right if he wants to get his blobs from Apple. I would be happier if he just deleted the commented out gs.apple.com lines for tidiness, but it will work as posted.

Ah ok. Got it! Thanks for the detailed explanation! :)
 

iPadawano

iPF Noob
Joined
Dec 3, 2010
Messages
8
Reaction score
0
Hey everyone, I'm in a similar situation as TS now. Was originally on JB 4.2.1 trying to upgrade to 4.3.3

1. I got error 3194, which I bypassed using TinyUmbrella's 'START Tss server'

2. Then, I got an error '1600' which I used iREB to bypass

3. After 4.3.3 is installed, I get stuck in DFU mode which TU/iREB can't help.

4. Downgraded back to 4.2.1 without jailbreak !

Hoping to upgrade once again to 4.3.3 STOCK firmware. Please advise ! btw, I can't get through to install stock 4.3.3 without step 1. and 2.So maybe i should try to tackle the error 3194 followed by 1600 respectively, but how??

I've ensure gs.apple.com does not appear in hosts file already. anywhere else could be the problem?
 
Last edited:

f4780y

Super Moderator
Staff member
Joined
Sep 11, 2010
Messages
7,113
Reaction score
652
Location
Troon, Scotland
Hey everyone, I'm in a similar situation as TS now. Was originally on JB 4.2.1 trying to upgrade to 4.3.3

1. I got error 3194, which I bypassed using TinyUmbrella's 'START Tss server'

2. Then, I got an error '1600' which I used iREB to bypass

3. After 4.3.3 is installed, I get stuck in DFU mode which TU/iREB can't help.

4. Downgraded back to 4.2.1 without jailbreak !

Hoping to upgrade once again to 4.3.3 STOCK firmware. Please advise ! btw, I can't get through to install stock 4.3.3 without step 1. and 2.So maybe i should try to tackle the error 3194 followed by 1600 respectively, but how??

I've ensure gs.apple.com does not appear in hosts file already. anywhere else could be the problem?

You must have 4.3.3 blobs to install 4.3.3. It's not clear from your message if you do. You can find out, and also use them, by following this tutorial...

http://www.ipadforums.net/jailbreak...-your-ipad-using-tinyumbrella-shsh-blobs.html

If TU does not show 4.3.3 blobs by the time you have pressed "Save SSH" for the second time in the tutorial then you are out of luck. IF however it does show 4.3.3 you should be able to follow the rest of the tutorial. If you still get an error this will likely be because you have an old baseband from 4.2.1 which Apple is no longer signing. In order to get past this you must upgrade to 4.3.5 to get the up to date baseband, then follow the tutorial again to go back down to 4.3.3. But, ONLY DO THIS if it certain from TU that you have 4.3.3 blobs, otherwise you will get stuck at 4.3.5.
 

iPadawano

iPF Noob
Joined
Dec 3, 2010
Messages
8
Reaction score
0
Hey everyone, I'm in a similar situation as TS now. Was originally on JB 4.2.1 trying to upgrade to 4.3.3

1. I got error 3194, which I bypassed using TinyUmbrella's 'START Tss server'

2. Then, I got an error '1600' which I used iREB to bypass

3. After 4.3.3 is installed, I get stuck in DFU mode which TU/iREB can't help.

4. Downgraded back to 4.2.1 without jailbreak !

Hoping to upgrade once again to 4.3.3 STOCK firmware. Please advise ! btw, I can't get through to install stock 4.3.3 without step 1. and 2.So maybe i should try to tackle the error 3194 followed by 1600 respectively, but how??

I've ensure gs.apple.com does not appear in hosts file already. anywhere else could be the problem?

You must have 4.3.3 blobs to install 4.3.3. It's not clear from your message if you do. You can find out, and also use them, by following this tutorial...

http://www.ipadforums.net/jailbreak...-your-ipad-using-tinyumbrella-shsh-blobs.html

If TU does not show 4.3.3 blobs by the time you have pressed "Save SSH" for the second time in the tutorial then you are out of luck. IF however it does show 4.3.3 you should be able to follow the rest of the tutorial. If you still get an error this will likely be because you have an old baseband from 4.2.1 which Apple is no longer signing. In order to get past this you must upgrade to 4.3.5 to get the up to date baseband, then follow the tutorial again to go back down to 4.3.3. But, ONLY DO THIS if it certain from TU that you have 4.3.3 blobs, otherwise you will get stuck at 4.3.5.

Hi friend,

Thanks for your advice. Currently, after using TU i only have the following SHSHs related to 4.3.3: 4.3b2 & 4.3b3

1. Does that mean I am out of luck for upgrade to 4.3.3? Any workarounds?

2. Going forward, when is the best time/intervals for me to save SHSHs through TU?

3. Is that the reason why I keep getting error 3194 because the apple server does not generate the 4.3.3 SHSH anymore?
 

f4780y

Super Moderator
Staff member
Joined
Sep 11, 2010
Messages
7,113
Reaction score
652
Location
Troon, Scotland
Yes, you are out of luck. Those other blobs are related to 4.3, not 4.3.3.

You should save new blobs every time Apple release a new version of IOS, however after IOS5 is released the process of saving blobs will be irrelevant because saved blobs can no longer be re-used with IOS5.

Yes, you get that error because you don't have blobs. There is no workaround, sorry.
 

f4780y

Super Moderator
Staff member
Joined
Sep 11, 2010
Messages
7,113
Reaction score
652
Location
Troon, Scotland
after IOS5 is released the process of saving blobs will be irrelevant because saved blobs can no longer be re-used with IOS5.

.

Really? Why? So we will never need to save blobs?

Apple have tightened their security for IOS5 and blobs will no longer be of any use if they are saved and replayed later. This is the same security approach which protects the iPhone and iPad 3G basebands from being downgraded.

The blobs you have saved for 4.x and 3.x will still allow you to restore to those firmwares, but on IOS5 you will only have the option to install the latest version which Apple is signing. This will make it extremely challenging for IOS5 jailbreaking, particularly in the absence of a bootrom exploit for iPad2.
 

SweetPoison

iPF Noob
Joined
Jun 20, 2010
Messages
14,913
Reaction score
134
Location
Sacramento, California
after IOS5 is released the process of saving blobs will be irrelevant because saved blobs can no longer be re-used with IOS5.

.

Really? Why? So we will never need to save blobs?

Apple have tightened their security for IOS5 and blobs will no longer be of any use if they are saved and replayed later. This is the same security approach which protects the iPhone and iPad 3G basebands from being downgraded.

The blobs you have saved for 4.x and 3.x will still allow you to restore to those firmwares, but on IOS5 you will only have the option to install the latest version which Apple is signing. This will make it extremely challenging for IOS5 jailbreaking, particularly in the absence of a bootrom exploit for iPad2.


Goodness! So if I don't re-JB now, Leigh, I am out of luck when IOS 5 hits?
 

Tim SPRACKLEN

iPF Noob
Joined
Jan 3, 2011
Messages
15,234
Reaction score
122
Location
Scotland
But you have saved your blobs for iOS4.x, so you'll be OK. But you won't be able to upgrade to iOS5 and JB is what I think Leigh is saying.

Tim
 

f4780y

Super Moderator
Staff member
Joined
Sep 11, 2010
Messages
7,113
Reaction score
652
Location
Troon, Scotland
You've both confused me now :)

You will be able to re-install 4.3.3 any time because you have those blobs saved no matter what.

The best way to visualise what might happen with IOS5 is what has happened to you over the last few days Marie. Lets imagine you were jailbroken on 5.0.0 and your iPad developed a problem. If Apple had already released 5.0.1 to stop the jailbreak you would be forced to install 5.0.1. There will be no way to get back to 5.0.0 because blobs don't work any more... Now with iPad1 you would probably still be able to tethered jailbreak, but with iPad2 you might be stuck without a jailbreak altogether.

I think it's best just to wait and see what happens with IOS5 rather than confuse anyone with any more discussion about what might be! You never know what the jailbreak community might come out with between now and then :D
 

iPadawano

iPF Noob
Joined
Dec 3, 2010
Messages
8
Reaction score
0
Yes, you are out of luck. Those other blobs are related to 4.3, not 4.3.3.

You should save new blobs every time Apple release a new version of IOS, however after IOS5 is released the process of saving blobs will be irrelevant because saved blobs can no longer be re-used with IOS5.

Yes, you get that error because you don't have blobs. There is no workaround, sorry.

Hi friend,

1. I actually managed to install the iOS 4.3.3 using the the combination of TU's 'Start TSS server', 'iREB', stock firmware 4.3.3. But the problem is that the iPAD1 remains in a black screen after that. Is there anyway to get it working from this point on?

2. I forgot to backup my documents in ipad's 'Notes' app after I did the unsuccessful restore. Is there anyway to attempt recovering it? e.g. like undelete softwares on Pc..etc
 

Most reactions

Latest posts

Top